W3C home > Mailing lists > Public > public-qt-comments@w3.org > February 2016

[Bug 29423] New: [XT30] result-document-0243 expects SEPM0016 but should be XTSE0020

From: <bugzilla@jessica.w3.org>
Date: Sun, 07 Feb 2016 00:11:25 +0000
To: public-qt-comments@w3.org
Message-ID: <bug-29423-523@http.www.w3.org/Bugs/Public/>
https://www.w3.org/Bugs/Public/show_bug.cgi?id=29423

            Bug ID: 29423
           Summary: [XT30] result-document-0243 expects SEPM0016 but
                    should be XTSE0020
           Product: XPath / XQuery / XSLT
           Version: Candidate Recommendation
          Hardware: PC
                OS: Windows NT
            Status: NEW
          Severity: normal
          Priority: P2
         Component: XSLT 3.0 Test Suite
          Assignee: abel.online@xs4all.nl
          Reporter: abel.braaksma@xs4all.nl
        QA Contact: public-qt-comments@w3.org
  Target Milestone: ---

This test tests html-version="five". While the spec says that you should raise
a serialization error when the *version* is not supported, this is a
production-rule mismatch, as the syntax requires the value to be of type
xs:decimal.

As a result it is first an XTSE0020 (wrong attribute) and only later, if the
attribute is valid but the version not supported, it'd be a SEPM0016. I think
;).

-- 
You are receiving this mail because:
You are the QA Contact for the bug.
Received on Sunday, 7 February 2016 00:11:34 UTC

This archive was generated by hypermail 2.4.0 : Friday, 17 January 2020 16:57:58 UTC